Dynamic search
curl --request GET \
--url https://www.wander-service.fr/api/clients/v2/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.wander-service.fr/api/clients/v2/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.wander-service.fr/api/clients/v2/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"event": {
"id": 100000,
"wanderId": 100000,
"name": "PLK en concert",
"startDate": "2024-03-03 06:08:23.222 +0100",
"endDate": "2024-03-04 06:08:23.222 +0100",
"hasEndDateNotReliable": true,
"lowestPrice": 0,
"highestPrice": 200,
"description": "Un super concert de PLK à l'accor arena !",
"image": "<string>",
"squareImage": "<string>",
"rectangleImage": "<string>",
"place": {
"id": 10,
"name": "Accor Arena",
"address": {
"lng": 2.123909,
"lat": 42.32981038,
"street": "Rue Saint-Jacques",
"city": "Paris",
"postalCode": 75005,
"country": "France"
}
},
"averageGrade": 5,
"totalGrades": 1,
"categories": [
{
"id": 1,
"name": "painting",
"mainCategory": "expo",
"traductionFR": "peinture",
"traductionEN": "painting",
"icon": "<string>"
}
],
"score": 123
}
}
]Direct Event Data Serving
Dynamic search
Search for event or place or performer. You can use it for a searchbar.
GET
/
v2
/
search
Dynamic search
Authorizations
It is the "access_token" returned after login
Query Parameters
The coordinates [lng, lat] around which you are searching
The coordinates [lng, lat] around which you are searching
Available options:
events, places, performers Response
Successful operation
- Option 1
- Option 2
- Option 3
Event object returned with '/search'
Show child attributes
Show child attributes
Was this page helpful?